Bug 244263 - net-mgmt/p5-FusionInventory-Agent: Update to 2.5.2
Summary: net-mgmt/p5-FusionInventory-Agent: Update to 2.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://metacpan.org/changes/distribu...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-21 05:47 UTC by O. Hartmann
Modified: 2020-05-27 05:19 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch (15.86 KB, patch)
2020-02-21 20:21 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2020-02-21 05:47:13 UTC
Please update port version 2.4 to available version 2.5.2 of port net-mgmt/p5-FusionInventory-Agent. Thanks.
Comment 1 Kurt Jaeger freebsd_committer 2020-02-21 20:21:19 UTC
Created attachment 211807 [details]
patch
Comment 2 Kurt Jaeger freebsd_committer 2020-02-21 20:29:25 UTC
Testbuilds are fine, btw.
Comment 3 Automation User 2020-03-07 00:05:24 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124100262
Comment 4 olevole 2020-05-26 20:41:51 UTC
Also interested in this.

ohartmann@walstatt.org  Can you update your patch to add p5-Proc-Daemon ? This dependency is necessary to solve this problem:

--
[debug] Failed to load recommended Proc::Daemon library: Can't locate Proc/Daemon.pm in @INC (you may need to install the Proc::Daemon module) (@INC contains: /usr/local/share/fusioninventory/lib /usr/local/lib/perl5/site_perl/mach/5.30 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.30/mach /usr/local/lib/perl5/5.30) at /usr/local/share/fusioninventory/lib/FusionInventory/Agent/Daemon.pm line 227.
[debug] FusionInventory Agent started in foreground
--

Valid RUN_DEPENDS with p5-Proc-Daemon:

--
RUN_DEPENDS=    p5-File-Which>=0:sysutils/p5-File-Which \
                p5-libwww>=0:www/p5-libwww \
                p5-Net-IP>=0:net-mgmt/p5-Net-IP \
                p5-UNIVERSAL-require>=0:devel/p5-UNIVERSAL-require \
                p5-Text-Template>=0:textproc/p5-Text-Template \
                p5-XML-TreePP>=0:textproc/p5-XML-TreePP \
                p5-Proc-Daemon>=0:devel/p5-Proc-Daemon
--

This solves the problem described in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241943
Comment 5 Kurt Jaeger freebsd_committer 2020-05-26 20:55:03 UTC
(In reply to olevole from comment #4)
I might misunderstand the port Makefile, but if one selects option DAEMON,
it includes DAEMON_RUN_DEPENDS, which includes devel/p5-Proc-Daemon.
Comment 6 commit-hook freebsd_committer 2020-05-27 05:18:34 UTC
A commit references this bug:

Author: pi
Date: Wed May 27 05:18:03 UTC 2020
New revision: 536668
URL: https://svnweb.freebsd.org/changeset/ports/536668

Log:
  net-mgmt/p5-FusionInventory-Agent: update 2.4 -> 2.5.2, DAEMON option added to default

  PR:		244263, 241943
  Reported by:	ohartmann@walstatt.org, olevole@olevole.ru
  Approved by:	freebsd@simweb.ch (maintainer timeout)
  Relnotes:	https://metacpan.org/changes/distribution/FusionInventory-Agent

Changes:
  head/net-mgmt/p5-FusionInventory-Agent/Makefile
  head/net-mgmt/p5-FusionInventory-Agent/distinfo
  head/net-mgmt/p5-FusionInventory-Agent/files/patch-Makefile.PL
  head/net-mgmt/p5-FusionInventory-Agent/pkg-plist
Comment 7 Kurt Jaeger freebsd_committer 2020-05-27 05:19:40 UTC
Committed, thanks!